---
# defaults file for ansible_role_install_exporter

exporter_node: node_exporter
exporter_group: "{{ exporter_node }}"
exporter_user: "{{ exporter_node }}"
exporter_directory: "/etc/{{ exporter_node }}"
exporter_port: "9100"

exporter_version: latest #2.46.0
_exporter_version: "{{ exporter_version if exporter_version != 'latest' else exporter_version_latest.stdout }}"
exporter_system: "{{ ansible_system | lower }}"
exporter_architecture: amd64
exporter_packages: "{{ exporter_node }}-{{ _exporter_version }}.{{ exporter_system }}-{{ exporter_architecture }}.tar.gz"
exporter_url: "https://github.com/prometheus/{{ exporter_node }}/releases/download/v{{ _exporter_version }}/{{ exporter_packages }}"
exporter_name_template: "exporter.service.j2"